rule("glsl.env")
    after_load(function (target)
        --import("glsl_compiler")(target)
    end)
    on_config(function (target)
        --import("glsl_compiler").compile(target)
    end)
    -- before load
    before_build(function (target)
        --os.cd("$(projectdir)/engine/assets/shader")
        --os.execv("gen_glsl.bat")
    end )